Developer: [aedenthorn](https://www.nexusmods.com/valheim/users/18901754)

Original mod link: https://www.nexusmods.com/valheim/mods/1162

Github: https://github.com/aedenthorn/ValheimMods/tree/master/CustomArmorStats

## This mod lets you edit various stats for individual armor pieces and has two global armor multipliers as well. It also adds the possibility for new resistance types, and implements a new Water resistance against the Wet status effect.
  
### This mod also fixes a bug in the vanilla game that makes it not recognize frost immunity for environmental cold.
**Setting Armor Stats**

Custom armor stats are stored in json files in BepInEx\plugins\CustomArmorStats. To create a template json file for a specific armor piece, type the following command in the console (F5):

**customarmorstats save <ItemSpawnName>**

E.g. customarmorstats save ArmorBronzeLegs will create a file called ArmorBronzeLegs.json with the default values for Bronze leggings.  Edit that file as you
like, save it, then type the following command in the console:

**customarmorstats reload**

This will reload the file, applying the new values when an item is created or moved to a new inventory.

The variables are mostly self-explanatory.

Damage modifiers are a list of colon-separated pairs, e.g. for the Wolf Chest armor:

"damageModifiers":["Frost:Resistant"]

The first value is the damage type, the second value is the resistance level.

Valid damage types include:

-   Blunt
-   Slash
-   Pierce
-   Chop
-   Pickaxe
-   Physical
-   Fire
-   Frost
-   Lightning
-   Elemental
-   Poison
-   Spirit
-   Water (this is a new type, affecting the Wet status)

Valid resistence levels include:

-   Normal
-   Resistant
-   Weak
-   Immune
-   Ignore
-   VeryResistant
-   VeryWeak

You can also dump these lists using

**customarmorstats damagetypes**

**customarmorstats damagemods**

**Water Resistance**

Water resistance provides the following modifiers, depending on the resistance level:

-   Normal - no change
-   Resistant - increases Wet status countdown speed by 100%
-   Weak - decreases Wet status countdown speed by 1/3
-   Immune - prevents Wet status effect
-   Ignore - prevents Wet status effect
-   VeryResistant - prevent wet status effect application except when swimming, increases Wet status countdown speed by 100%
-   VeryWeak - decreases Wet status countdown speed by 2/3

**Global Multipliers**

The mod also provides the following global armor modifiers via the config file:

**GlobalArmorDurabilityLossMult**

**GlobalArmorMovementModMult**

## Config  

A config file BepInEx/config/cjayride.CustomArmorStats.cfg is created after running the game once with this mod.

## Changelog
- 0.5.3 - No changes, just fixed version numbers to match files.

- 0.5.2 - No change, just messed up the upload. Thunderstore said I hadn't uploaded the file changes yet.

- 0.5.1 - Renamed config file to cjayride.CustomArmorStats.cfg -- to match the config file names of other re-uploads and edited mods

- 0.5.0 - Fix for new update

- 0.4.0 - Fix for mistlands update

